curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/businessUnits/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"accounting_method": "accrual",
"ar_gl_account_id": "string",
"automatic_batch_download_options": {
"accounting_integration_account_id": "string",
"accounting_integration_service": "integration-qbo-accounts"
},
"bad_debts_expense_gl_account_id": "string",
"base_currency_code": "str",
"base_currency_symbol": "string",
"batch_download_method": "batch-level summary",
"cogs_expense_gl_account_id": "string",
"currency_trading_gl_account_id": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"default_write_off_method": "allowance",
"deferred_revenue_gl_account_id": "string",
"description": "string",
"download_template_id": "string",
"due_to_due_from_entries": [
{
"accounts_receivable_gl_account_id": "string",
"business_unit_id": "string",
"liability_gl_account_id": "string"
}
],
"enable_automatic_batch_downloads": true,
"enable_multi_currency": true,
"financial_software_package": "great plains",
"id": "string",
"inventory_costing_method": "do not calculate",
"inventory_gl_account_id": "string",
"invoice_template_id": "string",
"is_active": true,
"missing_product_revenue_gl_account_id": "string",
"name": "string",
"overpayment_liability_gl_account_id": "string",
"payment_receipt_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"payment_receipt_template_id": "string",
"priority": 0.1,
"quickbooks_online_account_id": "string",
"refund_receipt_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"refund_receipt_template_id": "string",
"start_of_fiscal_year": 1,
"store_credit_gl_account_id": "string",
"supported_currencies": [
{
"currency_code": "AED"
}
],
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'